Add an income-tax band
curl --request POST \
--url https://app.ontime.hosai.app/api/statutory/income-slabs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fyStartYear": 2050,
"lowerAnnual": 4503599627370495,
"ratePercent": 50,
"upperAnnual": 4503599627370495
}
'import requests
url = "https://app.ontime.hosai.app/api/statutory/income-slabs"
payload = {
"fyStartYear": 2050,
"lowerAnnual": 4503599627370495,
"ratePercent": 50,
"upperAnnual": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fyStartYear: 2050,
lowerAnnual: 4503599627370495,
ratePercent: 50,
upperAnnual: 4503599627370495
})
};
fetch('https://app.ontime.hosai.app/api/statutory/income-slabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regime": "New",
"fyStartYear": 0,
"lowerAnnual": 0,
"upperAnnual": 0,
"ratePercent": 123
}Statutory
Add an income-tax band
Add an income-tax band
POST
/
api
/
statutory
/
income-slabs
Add an income-tax band
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Available options:
New, Old Required range:
2000 <= x <= 2100Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 100Required range:
0 <= x <= 9007199254740991Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
New, Old Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991